package org.springblade.config;

import org.springblade.core.config.SwaggerConfiguration;
import org.springblade.core.constant.AppConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

/**
 * 
 * 
 * @author William
 * @date 2022年10月26日 上午9:49:29
 */
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig extends SwaggerConfiguration {

	@Bean
	public Docket subscribeDocket() {
		return docket("工作流模块", AppConstant.BASE_PACKAGES + ".flow");
	}
}
