package org.springblade.flow.base.service;


import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import org.springblade.flow.base.entity.ComFieldsEntity;

/**
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2021/3/12 15:31
 */
public interface ComFieldsService extends IService<ComFieldsEntity> {

    List<ComFieldsEntity> getList();

    ComFieldsEntity getInfo(String id);

    void create(ComFieldsEntity entity);

    boolean update(String id, ComFieldsEntity entity);

    /**
     * 验证名称
     *
     * @param fullName 名称
     * @param id       主键值
     * @return
     */
    boolean isExistByFullName(String fullName, String id);

    void delete(ComFieldsEntity entity);
}
