package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:15
 * @desc
 */
@Data
public class ServiceTaskExPropertyDTO extends BaseExPropertyDTO implements Serializable {
    /**
     * 传阅岗位
     **/
    private List<String> circulatePosition;
    /**
     * 传阅人
     **/
    private List<String> circulateUser;
    /**
     * 传阅角色
     **/
    private List<String> circulateRole;
    /**
     * 自定义抄送人
     **/
    private Boolean isCustomCopy;
}
