package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

import org.springblade.flow.engine.assembly.prop.*;
import org.springblade.flow.engine.model.flowengine.shuntjson.childnode.FormOperates;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:13
 * @DESC 用户任务的扩展属性
 */
@Data
public class UserTaskExPropertyDTO  /*extends BaseExPropertyDTO*/ implements Serializable {
    /**
     * 基础设置
     */
    private UserTaskBasicPropDTO userTaskBasicPropDTO;
    /**
     * 高级设置
     */
    private UserTaskAdvancedSettingDTO userTaskAdvancedSettingDTO;
    /**
     * 表单权限
     */
    private List<FormOperates> operatesList;
    /**
     * 节点事件
     */
    private UserTaskNodeEventDTO userTaskNodeEventDTO;






}
