package org.springblade.flow.engine.custom.cmd.commons;

import org.flowable.common.engine.impl.interceptor.Command;
import org.flowable.common.engine.impl.interceptor.CommandContext;
import org.flowable.engine.impl.util.CommandContextUtil;
import org.flowable.task.service.impl.persistence.entity.TaskEntityManager;

/**
 * @author LoveMyOrange
 * @create 2022-02-14 20:54
 */
public class GetTaskEntityManagerCmd implements Command<TaskEntityManager> {
    @Override
    public TaskEntityManager execute(CommandContext commandContext) {
        return   CommandContextUtil.getProcessEngineConfiguration(commandContext).getTaskServiceConfiguration().getTaskEntityManager();

    }
}
