package org.springblade.flow.engine.custom.constants;

/**
 * @author LoveMyOrange
 * @create 2021-12-18 18:14
 * @desc 全局流程变量 的key 都放在此类中
 */
public interface GlobalProcessVariableConstants {
    /**
     * 流程标题
     * 往processInstanceName设置了一份
     * 往变量设置一份
     */
    String BUSINESS_TITLE="business_title";
    //流程所属分类 flow_engine表的 category
    String PROCESS_CATEGORY="process_category";
    //所属流程 flow_engine表的 flow_id
    String PROCESS_NAME="process_name";
    //单据控件编码
    String BILL_CODE ="billCode";
    //流程实例的紧急程度
    String FLOW_URGENT ="flowUrgent";
    //flow_engine表的id
    String FLOW_ENGINE_ID="flow_engine_id";
    //流程状态
    String PROCESS_STATUS="process_status";
    //表单JSON
    String FORM_INFO_JSON ="form_info_json";
    //流程发起人 变量,  此变量 不用手动赋值 activiti内部 已经为其赋值(但是子流程的情况下 流程引擎却赋值不了 需要自己赋值)
    String APPLY_USER_ID="applyUserId";
    //流程发起人名称, 此变量需要手动赋值
    String APPLY_USER_NAME="applyUserName";

    //业务表的主键
    String BUSINESS_KEY="businessKey";
    //流程是否被催办过的标识 取值 true false
    String NOTIFICATION_FLAG="notification_flag";
    //判断当前流程是不是在调用活动里面
    String CALL_ACTIVITY_FLAG="callActivityFlag";
}
