package org.springblade.flow.engine.custom.listener;

import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.ExecutionListener;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/5/13 19:37
 * @desc
 * 在这一步 获取不到 调用活动的相关信息,需要通过 行为类中 可以获取 调用活动的执行实例对象
 */
@Component
@Slf4j
public class CallActivityStartedListener  implements ExecutionListener {

    @Override
    public void notify(DelegateExecution execution) {
//        execution.setVariable(CALL_ACTIVITY_FLAG,true);
        log.info("调用活动的开始监听器触发了....");
    }



}
