package org.springblade.flow.permission.entity;


import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 *  实体类
 *
 * @author william
 * @date   2022-07-14 10:57:53
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("blade_role")
@ApiModel(value = "blade_role", description = "")
public class Role4FlowEntity implements Serializable{
	private static final long serialVersionUID = 1L;
	
 	/** 
	 * 主键 
	 */
	@ApiModelProperty(value = "主键",name = "id", required = true)
	@TableId("id")
	private Long  id;
 	/** 
	 * 租户ID 
	 */
	@ApiModelProperty(value = "租户ID",name = "tenantId", required = false)
	@TableField("tenant_id")
	private String  tenantId;
 	/** 
	 * 父主键 
	 */
	@ApiModelProperty(value = "父主键",name = "parentId", required = false)
	@TableField("parent_id")
	private Long  parentId;
 	/** 
	 * 角色名 
	 */
	@ApiModelProperty(value = "角色名",name = "roleName", required = false)
	@TableField("role_name")
	private String  fullName;
 	/** 
	 * 排序 
	 */
	@ApiModelProperty(value = "排序",name = "sort", required = false)
	@TableField("sort")
	private Integer  sort;
 	/** 
	 * 角色别名 
	 */
	@ApiModelProperty(value = "角色别名",name = "roleAlias", required = false)
	@TableField("role_alias")
	private String  roleAlias;
 	/** 
	 * 是否已删除 
	 */
	@ApiModelProperty(value = "是否已删除",name = "isDeleted", required = false)
	@TableField("is_deleted")
	private Integer  enabledMark;

}
