package org.springblade.flow.permission.model.userrelation;

import org.springblade.flow.util.treeutil.SumTree;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2021/3/12 15:31
 */
@Data
public class UserRelationTreeModel extends SumTree{

    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "名称")
    private String fullName;
    @ApiModelProperty(value = "是否有子节点")
    private Boolean hasChildren;
    @JSONField(name="category")
    private String type;
}
