package org.springblade.flow.visual.onlinedev.common.relation;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * 
 * @author william
 * @date 2022年8月24日 下午5:44:11
 */
@Data
public class RelationBean implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 父表
	 */
	private String relationTable;

	/**
	 * 当前表
	 */
	private String table;

	/**
	 * 关联类型
	 */
	private String joinType;

	/**
	 * 当前表注释或者别名
	 */
	private String tableName;

	private List<RelationField> fields;

	private List<RelationBean> children;

	private List<RelationKey> keys;

}
