package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:18
 */
@Data
public class BaseExPropertyDTO implements Serializable {
    /**
     * taskDefinitionKey
     * 前端生成的节点ID
     */
    private String nodeId;
    /**
     * 前端生成的节点名称
     */
    private String nodeName;
    /**
     * 前端生成的节点描述
     */
    private String description;
    /**
     * 节点的JSON对象
     */
    private String childNodeListJson;
}
