package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:11
 * @desc 全局的扩展属性 前端目前没有对应功能实现
 */
@Data
public class GlobalExPropertyDTO /*extends BaseExPropertyDTO*/ implements Serializable {
    //表单信息
    private String formData;
    //整个流程的JSON
    private String flowTemplateJson;
    //流程版本
    private String flowVersion;
    //流程类型(发起流程还是功能流程)
    private Integer flowType;
    //表单类型(系统表单类型还是表单设计器类型表单)
    private Integer flowFormType;
    //流程分类
    private String flowCategory;
    //关联的表信息
    private String tablesInfo;
    //表单类型
    private Integer formType;
    //所有条件上  作为条件的列名List
    private Set<String> fieldSet;
}
