package org.springblade.flow.engine.assembly.prop;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

import org.springblade.flow.engine.model.flowengine.shuntjson.childnode.TimeOutConfig;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 19:54
 */
@Data
public class UserTaskAdvancedSettingDTO implements Serializable {
    /**
     * 前台按钮权限
     **/
    private Boolean hasAuditBtn;
    /**
     * 前台通过
     **/
    private String auditBtnText;
    /**
     * 前台按钮权限
     **/
    private Boolean hasRejectBtn;
    /**
     * 前台拒绝
     **/
    private String rejectBtnText;
    /**
     * 前台按钮权限
     **/
    private Boolean hasRevokeBtn;
    /**
     * 前台撤回
     **/
    private String revokeBtnText;
    /**
     * 前台按钮权限
     **/
    private Boolean hasTransferBtn;
    /**
     * 前台转办
     **/
    private String transferBtnText;
    /**
     * 是否有签名
     **/
    private Boolean hasSign;
    /**
     * 驳回步骤 1.上一步骤 0.返回开始
     **/
    private String rejectStep;
    /**
     * 通知设置 1-站内信 2-邮箱 3-短信 4-钉钉 5-企业微信
     **/
    private List<String> messageType;

    /**
     * 跳过策略
     */
    private Integer skipStrategy;


    /**
     * 说明
     */
    private String description;

    /**
     * 超时策略
     */
    private TimeOutConfig timeOutConfig;


}
