package org.springblade.flow.engine.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 *
 * flow_task_notification
 * @版本： V3.0.0
 * @版权： 引迈信息技术有限公司(https://www.jnpfsoft.com)
 * @作者： JNPF开发平台组
 * @日期： 2022-02-01
 */
@Data
@TableName("flow_task_notification")
public class FlowTaskNotificationEntity {
    /** 序号 */
    @TableId(value = "id",type = IdType.INPUT)
    private String id;

    /** 任务ID */
    @TableField("task_id")
    private String taskId;

    /** 任务名称 */
    @TableField("task_name")
    private String taskName;

    /** 任务处理人 */
    @TableField("task_assignee")
    private String taskAssignee;

    /** 流程实例id */
    @TableField("proc_inst_id")
    private String processInstanceId;

    /** 流程名称 */
    @TableField("proc_name")
    private String processInstanceName;

    /** 催办操作时间 */
    @TableField("op_time")
    private Date opTime;

    /** 催办类型1页面通知2邮件 */
    @TableField("notify_type")
    private String notifyType;

    /** 催办说明 */
    @TableField("remarks")
    private String remarks;

    /** 创建人登录名称 */
    @TableField("create_by")
    private String createBy;

    /** 创建日期 */
    @TableField("create_time")
    private Date createTime;

}
