package org.springblade.flow.permission.entity;


import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 *  实体类
 *
 * @author william
 * @date   2022-07-14 10:57:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("blade_user_dept")
@ApiModel(value = "blade_user_dept", description = "")
public class UserDept4Flow implements Serializable{
	private static final long serialVersionUID = 1L;
	
 	/** 
	 * 主键 
	 */
	@ApiModelProperty(value = "主键",name = "id", required = true)
	@TableId("id")
	private Long  id;
 	/** 
	 * 用户ID 
	 */
	@ApiModelProperty(value = "用户ID",name = "userId", required = false)
	@TableField("user_id")
	private Long  userId;
 	/** 
	 * 部门ID 
	 */
	@ApiModelProperty(value = "部门ID",name = "deptId", required = false)
	@TableField("dept_id")
	private Long  deptId;

}
