package org.springblade.flow.permission.model.role;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2021/3/12 15:31
 */
@Data
public class RoleListVO {
    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "名称")
    private String fullName;
    @ApiModelProperty(value = "编码")
    private String enCode;
    @ApiModelProperty(value = "角色类型")
    private String type;
    @ApiModelProperty(value = "备注")
    private String description;
    @ApiModelProperty(value = "状态")
    private Integer enabledMark;
    private Long creatorTime;
    @ApiModelProperty(value = "排序")
    private Long sortCode;
    @ApiModelProperty(value = "数量")
    private Long num;
    @ApiModelProperty(value = "子节点")
    private List<RoleListVO> children;
}
