package org.springblade.flow.scheduletask.emnus;



/**
 * 定时任务类型
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2019年9月26日 上午9:18
 */
public enum TimetaskTypes {

    /**
     * 执行一次
     */
    One(1, "执行一次"),

    /**
     * 重复执行
     */
    Two(2, "重复执行"),

    /**
     * 调度明细
     */
    Three(3, "调度明细"),

    /**
     * 调度任务
     */
    Four(4, "调度任务");

    private int code;
    private String message;

    TimetaskTypes(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
